> ## Documentation Index
> Fetch the complete documentation index at: https://zeropath.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List SCA licenses

> List licenses grouped with their packages for the user's repositories.



## OpenAPI

````yaml https://zeropath.com/openapi/v1.yaml post /api/v1/sca/licenses/search
openapi: 3.1.0
info:
  title: ZeroPath API
  version: 1.0.0
  description: Public API for ZeroPath
servers:
  - url: https://zeropath.com
    description: Production server
    x-fern-server-name: Production
  - url: https://dev.branch.zeropath.com
    description: Development server
    x-fern-server-name: Development
security:
  - apiTokenId: []
    apiTokenSecret: []
tags:
  - name: Organizations
    description: Operations related to organizations
  - name: Stats
    description: Operations related to stats
  - name: Repositories
    description: Operations related to repositories
  - name: Installations
    description: Operations related to installations
  - name: Issues
    description: Operations related to issues
  - name: SCA
    description: Software Composition Analysis
  - name: Scans
    description: Operations related to scans
  - name: Rules
    description: Operations related to custom security rules
  - name: Referrals
    description: Operations related to referrals
paths:
  /api/v1/sca/licenses/search:
    post:
      tags:
        - SCA
      summary: List SCA licenses
      description: List licenses grouped with their packages for the user's repositories.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ListScaLicensesInput'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScaLicenseListResponse'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  schemas:
    ListScaLicensesInput:
      type: object
      properties:
        organizationId:
          type: string
        repositoryIds:
          type: array
          items:
            type: string
    ScaLicenseListResponse:
      type: object
      properties:
        licenses:
          type: array
          items:
            $ref: '#/components/schemas/ScaLicense'
    ScaLicense:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        packages:
          type: array
          items:
            $ref: '#/components/schemas/ScaPackage'
      required:
        - id
        - name
        - packages
    ScaPackage:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        version:
          type:
            - string
            - 'null'
        ecosystem:
          type: string
        manifestPath:
          type:
            - string
            - 'null'
        manifestStartLine:
          type:
            - integer
            - 'null'
        manifestEndLine:
          type:
            - integer
            - 'null'
        manifestStartColumn:
          type:
            - integer
            - 'null'
        manifestEndColumn:
          type:
            - integer
            - 'null'
        repositoryId:
          type:
            - string
            - 'null'
        repositoryName:
          type:
            - string
            - 'null'
        branch:
          type:
            - string
            - 'null'
        commitSha:
          type:
            - string
            - 'null'
        count:
          type: integer
          description: Number of packages in this group
        items:
          type: array
          items:
            $ref: '#/components/schemas/ScaPackage'
      required:
        - id
        - name
        - ecosystem
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
  securitySchemes:
    apiTokenId:
      type: apiKey
      in: header
      name: X-ZeroPath-API-Token-Id
      x-fern-header:
        name: apiTokenId
        env: ZEROPATH_API_TOKEN_ID
    apiTokenSecret:
      type: apiKey
      in: header
      name: X-ZeroPath-API-Token-Secret
      x-fern-header:
        name: apiTokenSecret
        env: ZEROPATH_API_TOKEN_SECRET

````